//  Created by Joe Becker on 3/7/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.

#import <Cocoa/Cocoa.h>

@interface PrefController : NSObject
{
    // Colors tab
    IBOutlet id axesColorWell;
    IBOutlet id labelColorWell;
    IBOutlet id predictedColorWell;
    IBOutlet id flagColorWell;
    IBOutlet id measuredColorWell;

    // Initial tab
    IBOutlet id xminCell;
    IBOutlet id xmaxCell;
    IBOutlet id xstepCell;
    IBOutlet id yminCell;
    IBOutlet id ymaxCell;

    IBOutlet id window;
}

- (IBAction)okay:(id)sender;
- (IBAction)revert:(id)sender;

- (NSWindow *)window;
- (void)setUpWell:(NSColorWell *)well;
- (NSColorWell *)colorWellForTag:(int)aTag;

@end
