//  Created by Joe Becker on 3/7/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.

#import <Cocoa/Cocoa.h>


@interface GmtShipTrackRecord : NSObject {
	double time;
	double lon;
	double lat;
	double depth;
	double sigmaH;
	double sigmaD;
	double predictedDepth;
	double cc;
	int srcId;		//FIXME: need to make flag some sort of bit fiddle
	int flag;		//FIXME: need to make flag some sort of bit fiddle
	
	int	tag;
	
	NSArray *fieldList;
}

- (id)initTo:(double)aVal;
- (id)initFromString:(NSString *)str;
- (NSMutableString *)stringRep;

- (id)setTag:(int)aTag;
- (id)setFlag:(int)aVal;

- (double)time;
- (double)lat;
- (double)lon;
- (double)depth;
- (double)sigmaH;
- (double)sigmaD;
- (double)predictedDepth;
- (double)cc;
- (int)srcId;
- (int)flag;

- (double)data:(int)fieldNum;
- (id)setData:(int)fieldNum :(double)aVal;
- (int)predictedFieldForActualField:(int)actualField;
- (double)predictedData:(int)fieldNum;

@property (getter=predictedDepth) double predictedDepth;
@property (retain) NSArray *fieldList;
@end


// If you change these you need to change the tags in nib's pop up
// for "data type" in the stat -AND- data window

#define TIME_FIELD	0
#define LON_FIELD	1
#define LAT_FIELD	2
#define DEPTH_FIELD	3
#define SIGMA_H_FIELD	4
#define SIGMA_D_FIELD	5
#define PREDICTED_DEPTH_FIELD	7
#define SOURCE_ID_FIELD	6
#define FLAG_FIELD	8

