//  Created by Joe Becker on 3/7/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.

#import <Cocoa/Cocoa.h>

@interface ZoomScrollView : NSScrollView
{
    IBOutlet id subView;
    IBOutlet id zoomButton;
    IBOutlet id backgroundJpeg;
    double scaleFactor;
}

- (BOOL)isOpaque;
- (id)initWithFrame:(NSRect)theFrame;
- (void)awakeFromNib;
- (IBAction)changeZoom:(id)sender;
- (void)setScaleFactor:(double)aFloat;
- (void)tile;
@property (retain) id subView;
@property (retain) id backgroundJpeg;
@property (retain) id zoomButton;
@end
